org.hibernate.validator.constraints

## Enum Mod11Check.ProcessingDirection

- java.lang.Object
- - java.lang.Enum<Mod11Check.ProcessingDirection>
  - - org.hibernate.validator.constraints.Mod11Check.ProcessingDirection

- All Implemented Interfaces:
    Serializable, Comparable<Mod11Check.ProcessingDirection>
  Enclosing class:
    Mod11Check

      public static enum Mod11Check.ProcessingDirection
      extends Enum<Mod11Check.ProcessingDirection>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LEFT_TO_RIGHT`
    `RIGHT_TO_LEFT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Mod11Check.ProcessingDirection` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Mod11Check.ProcessingDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RIGHT_TO_LEFT

          public static final Mod11Check.ProcessingDirection RIGHT_TO_LEFT

    - #### LEFT_TO_RIGHT

          public static final Mod11Check.ProcessingDirection LEFT_TO_RIGHT

  - ### Method Detail

    - #### values

          public static Mod11Check.ProcessingDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Mod11Check.ProcessingDirection c : Mod11Check.ProcessingDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Mod11Check.ProcessingDirection valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved